Lists
Custom lists, list entries, and attribute schemas.
Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/lists?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"name": "string",
"slug": "string",
"description": "string",
"icon": "string",
"color": "string",
"entity_type": "string",
"context_type": "string",
"is_system": true,
"position": 0,
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"list_attributes_count": 0
}
]{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/lists?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"name": "string",
"slug": "string",
"description": "string",
"icon": "string",
"color": "string",
"entity_type": "string",
"context_type": "string",
"is_system": true,
"position": 0,
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"list_attributes_count": 0
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"name": "string",
"slug": "string",
"description": "string",
"icon": "string",
"color": "string",
"entity_type": "string",
"context_type": "string",
"is_system": true,
"position": 0,
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"list_attributes": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"list_id": "430bbdbc-9d7f-4d06-a273-67ca4ba4ae4b",
"name": "string",
"slug": "string",
"attribute_type": "text",
"config": {
"options": [
{
"id": "string",
"label": "string",
"tone": "charcoal",
"color": "string"
}
],
"currency": "string",
"min": 0,
"max": 0
},
"is_required": true,
"position": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"name": "string",
"slug": "string",
"description": "string",
"icon": "string",
"color": "string",
"entity_type": "string",
"context_type": "string",
"is_system": true,
"position": 0,
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"list_attributes_count": 0
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/attributes" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "attribute_type": "text" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"list_id": "430bbdbc-9d7f-4d06-a273-67ca4ba4ae4b",
"name": "string",
"slug": "string",
"attribute_type": "text",
"config": {
"options": [
{
"id": "string",
"label": "string",
"tone": "charcoal",
"color": "string"
}
],
"currency": "string",
"min": 0,
"max": 0
},
"is_required": true,
"position": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/attributes" \ -H "Content-Type: application/json" \ -d '{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"list_id": "430bbdbc-9d7f-4d06-a273-67ca4ba4ae4b",
"name": "string",
"slug": "string",
"attribute_type": "text",
"config": {
"options": [
{
"id": "string",
"label": "string",
"tone": "charcoal",
"color": "string"
}
],
"currency": "string",
"min": 0,
"max": 0
},
"is_required": true,
"position": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidQuery Parameters
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/attributes?attributeId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidQuery Parameters
1 <= value <= 5000 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/entries"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"list_id": "430bbdbc-9d7f-4d06-a273-67ca4ba4ae4b",
"title": "string",
"values": {},
"position": 0,
"archived": true,
"linked_entity_type": "string",
"linked_entity_id": "7d69331c-9fdf-423f-9177-86d8de3de6c9",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/entries" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"list_id": "430bbdbc-9d7f-4d06-a273-67ca4ba4ae4b",
"title": "string",
"values": {},
"position": 0,
"archived": true,
"linked_entity_type": "string",
"linked_entity_id": "7d69331c-9fdf-423f-9177-86d8de3de6c9",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/entries" \ -H "Content-Type: application/json" \ -d '{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"list_id": "430bbdbc-9d7f-4d06-a273-67ca4ba4ae4b",
"title": "string",
"values": {},
"position": 0,
"archived": true,
"linked_entity_type": "string",
"linked_entity_id": "7d69331c-9fdf-423f-9177-86d8de3de6c9",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Path Parameters
uuidQuery Parameters
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/entries?entryId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}